Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.table
Class SortedTableHeaderRenderer

    java.lang.Object
      |
      +--com.smardec.asc.table.SortedTableHeaderRenderer

All Implemented Interfaces:
  javax.swing.table.TableCellRenderer

public class SortedTableHeaderRenderer
extends java.lang.Object
implements javax.swing.table.TableCellRenderer

Renderer for table header. It displays arrows on sorted column's header.

Constructor Summary
`SortedTableHeaderRenderer(javax.swing.JTable table, SortedTableModel sortedTableModel)` Creates `SortedTableHeaderRenderer` object with specified `JTable` and `SortedTableModel`.

Method Summary
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)` Returns the component used for drawing the cell.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedTableHeaderRenderer

    public SortedTableHeaderRenderer(javax.swing.JTable table,
                                     SortedTableModel sortedTableModel)

  Creates `SortedTableHeaderRenderer` object with specified `JTable` and `SortedTableModel`.

Parameters:
  `table` - `JTable` component
  `sortedTableModel` - `SortedTableModel` object

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Returns the component used for drawing the cell. This method is used to configure the renderer appropriately before drawing.

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
  Parameters:
    `table` - the `JTable` that is asking the renderer to draw; can be `null`
    `value` - the value of the cell to be rendered. It is up to the specific renderer to interpret and draw the value. For example, if `value` is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `isSelected` - true if the cell is to be rendered with the selection highlighted; otherwise false
    `hasFocus` - if true, render cell appropriately. For example, put a special border on the cell, if the cell can be edited, render in the color used to indicate editing
    `row` - the row index of the cell being drawn. When drawing the header, the value of `row` is -1
    `column` - the column index of the cell being drawn

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.